Package org.apache.felix.http.base.internal.runtime

# Class ResourceInfo

java.lang.Object
org.apache.felix.http.base.internal.runtime.AbstractInfo<Object>
org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<Object>
org.apache.felix.http.base.internal.runtime.ResourceInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<Object>>`

public final class ResourceInfo extends WhiteboardServiceInfo<Object>
Info object for a resource registration

## Constructor Summary

Constructors
Constructor
Description
`ResourceInfo(org.osgi.framework.ServiceReference<Object> ref)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getPatterns()`
`String`
`getPrefix()`
`ServletInfo`
`getServletInfo()`
`@NotNull String`
`getType()`
Get the type represented by this info
`boolean`
`isSame(AbstractInfo<Object> other)`
Compare two info objects
`boolean`
`isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getService, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty, ungetService`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceInfo

public ResourceInfo(org.osgi.framework.ServiceReference<Object> ref)

## Method Details

### isValid

public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<Object>`

### getPrefix

public String getPrefix()

### getPatterns

public String[] getPatterns()

### getServletInfo

public ServletInfo getServletInfo()

### getType

@NotNull public @NotNull String getType()
Description copied from class: `AbstractInfo`
Get the type represented by this info

Specified by:
  `getType` in class `AbstractInfo<Object>`
Returns:
  The type

### isSame

public boolean isSame(AbstractInfo<Object> other)
Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<Object>`
Parameters:
  `other` - The other info object
Returns:
  `true` if the objects are the same